{ lib,... }:
with lib; {
    wsl = mkOption { type = types.bool; default = false; };
    hosts = mkOption { type = types.listOf (types.str); default = []; };
    proxy = {
        domain = mkOption { type = types.str; default = ""; };
        port = mkOption { type = types.str; default = ""; };
        noProxy = mkOption { type = types.str; default = ""; };
        cert = mkOption { type = types.path; default = null; };
    };
}